<?php
#==============================================================================================#
#                                   Name  :  Imperial CHAT                                     #
#                               Made by  :  MaZaFaKa (___хакер___)                             #
#                                  MODED :  vipsds  (   BOT  )                                 #
#                                  ICQ  :  350502220 (vipsds)                                  #
#                                E-mai :  vipsds@wapnn.org                                     #
# По всем вопросам и дополнительным модам обращайтесь на выше указанные данные                 #
#==============================================================================================#
error_reporting(0);
include('start.php');
include("config.php");
include("./includes/constants/menu");
include("./includes/".$ver."/banned");

list($msec, $sec) = explode(chr(32), microtime());
$headtime = $sec + $msec;
$ttl="Аваторы";
$ref = rand(1000, 9999);
$banner = file("system/banner.dat");
$ssylka = trim($banner[0]);
$img = trim($banner[1]);
$kabinet = trim($banner[4]);

////////////////////////////////////////////////////////////////////
if ($_GET['list'])
{
$list = trim(htmlspecialchars(mysql_escape_string($_GET['list'])));
}
if ($_POST['list'])
{
$list = trim(htmlspecialchars(mysql_escape_string($_POST['list'])));
}
$num = trim(htmlspecialchars(mysql_escape_string($_GET['num'])));
$go = trim(htmlspecialchars(mysql_escape_string($_GET['go'])));
////////////////////////////////////////////////////////////////////

switch($ver)
{
////////////////////////////////////////////////////////
//WML VERSION
////////////////////////////////////////////////////////
case 'wml':
header("Content-type: text/vnd.wap.wml; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `level` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"ERROR\" ontimer=\"/wml\"><timer value=\"15\"/><p align=\"left\">\n";
echo "<small>Ошибка авторизации!<br/>\n";
echo"<br/>$wmlfoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "<br/>[".round(($sec+$msec)-$headtime,5)."] sec<br/>\n";
echo "</small></p></card></wml>";
exit();
}
//END AUTH

$level = mysql_result($q, 0);

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE



echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"$ttl\"><p align=\"left\">\n";


switch($go) {

default:
$path = "res/avatars"; // Папка с файлами
$col = 6;
$ras1 = ".gif";
$ras2 = ".jpg";
$ras3 = ".png";
$d=opendir("$path");
if(!$list) $list = "1";
$n = "1";
while(($k=readdir($d))!==false){
if ($k=='.'||$k=='..'||$k=="index.php") continue;
$n++;
}


closedir($d);
$num=($n/$col);if ($num!==(int)$num){$foo = (int) $num;$fo = ($foo + 1);}else{$fo=$num;}
for ($i="1"; $i<=$fo; $i++) {/*echo "<a href=\"1.php?list=$i\">$i</a>|";*/}
if ($list == "") {$c="0";}else{$c=($col*($list-1));}
$d=opendir("$path");
$la = "-1";
echo "Аватар для <b>".$nickname."</b><br/>";
echo $divide;
echo "Вы можете установить любой из этих аватаров, просто щелкните на понравившейся картинке.<br/>";
echo $divide;
while(($e=readdir($d))!==false){
if ($e=='.'||$e=='..') continue;
$la = $la + 1;
if($la>$c-1 and $la<$c+$col){
$e1 = str_replace("$ras1","",$e);
$e1 = str_replace("$ras2","",$e1);
$e1 = str_replace("$ras3","",$e1);
if ($mode == "1"){$ee = strtr($e1,$tran);}else{$ee = $e1;}
$laa = $la + 1; // Номер файла
echo "<a href=\"avatars.php?".SID."&amp;ver=wml&amp;go=addavatars&amp;num=$e1\"><img src=\"fr.php?a=$e1\" alt=\"$e1\"/></a><br/> ";
}
}
for ($i="0"; $i<=$fo; $i++)
if ($list == "") {
$c="0";
}else{
$c=($col*($list-1));
}
$lis = $list + 1;
$lis1 = $list - 1;
echo "<br/>";
if ($lis1 < "1"){
echo "&lt;&lt;пред.";
}else{
echo "<a href=\"avatars.php?".SID."&amp;ver=wml&amp;list=$lis1\">&lt;&lt;пред. </a>";
}
if ($lis == "$i"){
echo "| след.&gt;&gt;<br/>";
}else{
echo "| <a href=\"avatars.php?".SID."&amp;ver=wml&amp;list=$lis\">след.&gt;&gt;</a><br/>";
}
echo "Перейти к:<br/>";
echo "<input name=\"p\" format=\"*N\" size=\"3\"/><br/>";
echo "странице<br/>";
echo '<a href="avatars.php?'.SID.'&amp;ver=wml&amp;list=$(p)">пошел</a>';
$allpage = $i - 1;
echo "<br/>";
echo $divide;
echo "Аватаров:<b> $n</b><br/>Страницa:<b> $list/$allpage</b><br/>";
closedir($d);
break;

case 'addavatars':

if (($num>=0)&&($num<=270)&&($num!="")){
$avatar=$num.".gif";
@mysql_query ("Update chat_users set avatar='".$avatar."' where id ='".$id."'");
echo "<b>Ваш Аватар успешно установлен!</b><br/>";
echo "<img src=\"fr.php?id=".$avatar."\" alt=\"avatar\"/><br/>";
}
else
{
echo "<b>Произошла ошибка при установке аватора!</b><br/>";
}
break;

}
echo $divide;
if($go) {
echo "<a href=\"avatars.php?".SID."&amp;ver=wml\">Выбрать другой</a><br/>\n";
}

echo"<br/>";
echo "• <a href=\"/kabinet/html\">Личный кабинет</a><br/>\n";
echo "• <a href=\"/menu/html\">В прихожую</a><br/>\n";
include('banners/kabinet');
echo"$wmlfoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] сек.<br/>\n";
echo "</p></card></wml>";
break;

////////////////////////////////////////////////////////
//HTML VERSION
////////////////////////////////////////////////////////
case 'html':
header("Content-type: text/html; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `level` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">Ошибка</div>';
echo "<div class=\"d5\">Ошибка авторизации!</div>\n";
echo'<div class="d3">';
include('banners/kabinet');
echo"$sitefoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] сек.<br/>\n";
echo'</div>';
echo "</body></html>";
exit();
}
//END AUTH

$level = mysql_result($q, 0);

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE

echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">'.$ttl.'</div>';




switch($go) {

default:
$path = "res/avatars"; // Папка с файлами
$col = 6;
$ras1 = ".gif";
$ras2 = ".jpg";
$ras3 = ".png";
$d=opendir("$path");
if(!$list) $list = "1";
$n = "1";
while(($k=readdir($d))!==false){
if ($k=='.'||$k=='..'||$k=="index.php") continue;
$n++;
}
closedir($d);
$num=($n/$col);if ($num!==(int)$num){$foo = (int) $num;$fo = ($foo + 1);}else{$fo=$num;}
for ($i="1"; $i<=$fo; $i++) {/*echo "<a href=\"1.php?list=$i\">$i</a>|";*/}
if ($list == "") {$c="0";}else{$c=($col*($list-1));}
$d=opendir("$path");
$la = "-1";
echo "Аватар для <b>".$nickname."</b><br/>";
echo $divide;
echo "Вы можете установить любой из этих аватаров, просто щелкните на понравившейся картинке.<br/>";
echo $divide;
while(($e=readdir($d))!==false){
if ($e=='.'||$e=='..') continue;
$la = $la + 1;
if($la>$c-1 and $la<$c+$col){
$e1 = str_replace("$ras1","",$e);
$e1 = str_replace("$ras2","",$e1);
$e1 = str_replace("$ras3","",$e1);
if ($mode == "1"){$ee = strtr($e1,$tran);}else{$ee = $e1;}
$laa = $la + 1; // Номер файла
echo "<a href=\"avatars.php?".SID."&amp;ver=html&amp;go=addavatars&amp;num=$e1\"><img src=\"fr.php?a=$e1\" alt=\"$e1\"/></a><br/> ";
}
}
for ($i="0"; $i<=$fo; $i++)
if ($list == "") {
$c="0";
}else{
$c=($col*($list-1));
}
$lis = $list + 1;
$lis1 = $list - 1;
echo "<br/>";
if ($lis1 < "1"){
echo "&lt;&lt;пред.";
}else{
echo "<a href=\"avatars.php?".SID."&amp;ver=html&amp;list=$lis1\">&lt;&lt;пред. </a>";
}
if ($lis == "$i"){
echo "| след.&gt;&gt;<br/>";
}else{
echo "| <a href=\"avatars.php?".SID."&amp;ver=html&amp;list=$lis\">след.&gt;&gt;</a><br/>";
}

echo "<div class=\"form\">\n";
echo "<form action=\"avatars.php?".SID."&amp;ver=html&amp;list=$list\" method=\"post\">\n";
echo "Перейти на страницу:<br/>\n";
echo "<input name=\"list\" value=\"\" format=\"*N\" size=\"3\"/><br/>";
echo "<input type=\"submit\" value=\"Переход\" /></form>\n";
$allpage = $i - 1;
echo "<br/>";
echo $divide;
echo "Аватаров:<b> $n</b><br/>Страницa:<b> $list/$allpage</b><br/>";
closedir($d);
break;

case 'addavatars':


if (($num>=0)&&($num<=270)&&($num!="")){
$avatar=$num.".gif";
@mysql_query ("Update chat_users set avatar='".$avatar."' where id ='".$id."'");
echo "<b>Ваш Аватар успешно установлен!</b><br/>";
echo "<img src=\"fr.php?id=".$avatar."\" alt=\"avatar\"/><br/>";
}
else
{
echo "<b>Произошла ошибка при установке аватора!</b><br/>";
}
break;

}
echo $divide;
if($go) {
echo "<a href=\"avatars.php?".SID."&amp;ver=html\">Выбрать другой</a><br/>\n";
}

echo '<div class="d1">';
echo "• <a href=\"/kabinet/html\">Личный кабинет</a><br/>\n";
echo "• <a href=\"/menu/html\">В прихожую</a><br/>\n";
include('banners/kabinet');
echo'</div>';
echo'<div class="d3">';
echo"$sitefoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] сек.<br/>\n";
echo'</div>';
echo "</body></html>";

break;
}
?>